{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.bootloader;
in {
  options.myConfig.bootloader = {
    enable = lib.mkEnableOption "enable systemd bootloader";
  };

  config = lib.mkIf cfg.enable {
    boot.loader = {
      timeout = 0;
      systemd-boot.enable = true;
      systemd-boot.memtest86.enable = true;
      systemd-boot.editor = false;
      efi.canTouchEfiVariables = true;
    };
  };
}
