{
  lib,
  config,
  ...
}: let
  cfg = config.myConfig.music;
in {
  options.myConfig.music = {
    enable = lib.mkEnableOption "sound system";
  };

  config = lib.mkIf cfg.enable {
    musnix = {
      enable = true;
      rtcqs.enable = true;
    };
    users.users.${config.myConfig.user}.extraGroups = ["audio"];

    services.pipewire = {
      enable = true;
      alsa.enable = true;
      alsa.support32Bit = true;
      pulse.enable = true;
      jack.enable = true;
      wireplumber.enable = true;
    };
    security.rtkit.enable = true;
  };
}
